
/*
 * config.h -- written for Juice
 *	Copyright (C) 1999, 2000, 2001 Abraham vd Merwe
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef CONFIG_H
#define CONFIG_H

/*
 * Location for configuration file
 */

#if defined(DEFAULT)
#define CONFIGFILE "/etc/juice.conf"
#elif defined(TEST)
#define CONFIGFILE "setup.cfg"
#elif defined(DEBIAN)
#define CONFIGFILE "/etc/juice.conf"
#endif

/*
 * Location for help files
 */

#if defined(DEFAULT)
#define HELPDIR "/usr/local/lib/juice/help"
#elif defined(TEST)
#define HELPDIR "help"
#elif defined(DEBIAN)
#define HELPDIR "/usr/share/juice/help"
#endif

/*
 * Location for intersession memory playlist
 */

#if defined(DEFAULT)
#define SAVEDPLAYLIST "/usr/local/lib/juice/saved.jpl"
#elif defined(TEST)
#define SAVEDPLAYLIST "saved.jpl"
#elif defined(DEBIAN)
#define SAVEDPLAYLIST "/usr/share/juice/saved.jpl"
#endif

/*
 * Enable numbers to serve as function keys as well
 */

#define NUM_IS_FUNC

#endif
