
/*
 * menus.h -- written for Juice
 *	Copyright (C) 1999, 2000, 2001 Abraham vd Merwe
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef MENUS_H
#define MENUS_H

#include "mixer.h"
#include "playlist.h"

typedef struct MenuIdRec
{
   int id;
   struct MenuIdRec *next;
} MenuIdList;

class Menus : public Playlist
{
 public:
   /* Initialize datastructures */
   Menus ();
   /* Cleanup datastructures */
   ~Menus ();
   /* Add menu to identifier list */
   void AddMenu (int type);
   /* Remove menu from identifier list */
   void RemoveMenu (int type);
   /* Get top menu identity */
   int GetMenu ();
 private:
   MenuIdList *idlist;
};

#endif
