
/*
 * console.h -- written for Juice
 *	Copyright (C) 1999, 2000, 2001 Abraham vd Merwe
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef PLAYER_CONSOLE_H
#define PLAYER_CONSOLE_H

/* Create the virtual console */
void console_create ();

/* Write to the virtual console */
void console_write (const char *buffer,int buflen);

/* This function will write everything that's in the virtual console to the file */
/* descriptor fd. Nothing in the virtual console is ever wiped, it is merely */
/* transferred - That means that IT KEEPS GROWING!!! Maybe I will make the buffer */
/* circular later on, to avoid this */
void console_restore (int fd);

/* Destroy the virtual console */
void console_destroy ();

#endif
